function __base-aliases
	set -l _weather_service wttr.in

	alias pacman-mirrors="sudo reflector --protocol https --country US --age 24 --verbose --sort rate -l 100 --save /etc/pacman.d/mirrorlist"
	alias weather="curl $_weather_service"
	alias grep="grep --color=auto"
	alias ccd="cd && c"
	alias la="ls -a"
	alias c="clear"
end

function __configs
	set -l _editor xdg-open

	alias fish-config="$_editor ~/.config/fish/config.fish"
	alias wez-config="$_editor ~/.config/wezterm/wezterm.lua"
end

function __media
	function ytmp3
		yt-dlp --embed-thumbnail --extract-audio --audio-format mp3 --add-metadata -o "%(uploader)s - %(title)s.%(ext)s" $argv
	end
	function soundcloudmp3
		yt-dlp --embed-thumbnail --audio-format mp3 --add-metadata -o "%(uploader)s - %(title)s.%(ext)s" $argv
	end
end

function __sd
	#fix
	function stable-diffusion-ui-server
		/opt/easy-diffusion/start.sh $argv
	end
end

if status is-interactive
	__base-aliases
	__configs
	__media
	__sd
end
